/* KGLIV.h v0.0 - This file is NOT part of KDE ;)
   Copyright (C) 2006 Thomas Lbking <thomas.luebking@web.de>

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef KGLIV_H
#define KGLIV_H

#ifdef QT4
#include <QWidget>
#else
#include <qwidget.h>
#endif

#include "kglimageviewer.h"

using namespace KGLImageView;

class QStringList;
class QMenuBar;

class KGLIV : public QWidget
{
   Q_OBJECT
public:
   KGLIV( QWidget* parent = 0, const char* name = 0 );
   virtual bool eventFilter ( QObject * watched, QEvent * e );
   void init(){resetView();}
   
private:
   KGLImageViewer* view;
   KGLImage *prev, *current, *next;
   QStringList files;
   uint counter;
   int sign, effect;
   void load(bool show);
   void changeColor(int key, int v);
   QMenuBar *m;
   bool _message;
   bool _updated;
   
private slots:
   void resetView();
   void r90cw();
   void r90ccw();
   void fhcw();
   void fvcw();
   void fhccw();
   void fvccw();
   void zoomIn();
   void zoomOut();
   void maxW();
   void nextImage();
   void updateCache();
   void toggleFullscreen();
   void toggleMessage();
   void brighter();
   void darker();
   void redUp();
   void redDown();
   void greenUp();
   void greenDown();
   void blueUp();
   void blueDown();
   void alphaUp();
   void alphaDown();
   void resetColors();
   void invert();
   void blurMore();
   void blurLess();
   void tunnelMore();
   void tunnelLess();
};


#endif // KGLIV_H
